Package org.eclipse.net4j.util.ui

# Class DelegatingContentProvider

java.lang.Object
org.eclipse.net4j.util.ui.DelegatingContentProvider

All Implemented Interfaces:
  `IContentProvider`, `IStructuredContentProvider`

public class DelegatingContentProvider extends Object implements IStructuredContentProvider

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NONE`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingContentProvider(IStructuredContentProvider delegate)`
`DelegatingContentProvider(IStructuredContentProvider delegate, boolean optional)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`IStructuredContentProvider`
`getDelegate()`
`Object[]`
`getElements(Object inputElement)`
`void`
`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`boolean`
`isOptional()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONE

public static final String NONE

See Also:
  - Constant Field Values

## Constructor Details

### DelegatingContentProvider

public DelegatingContentProvider(IStructuredContentProvider delegate, boolean optional)

### DelegatingContentProvider

public DelegatingContentProvider(IStructuredContentProvider delegate)

## Method Details

### getDelegate

public IStructuredContentProvider getDelegate()

### isOptional

public boolean isOptional()

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IContentProvider`

### getElements

public Object[] getElements(Object inputElement)

Specified by:
  `getElements` in interface `IStructuredContentProvider`

### inputChanged

public void inputChanged(Viewer viewer, Object oldInput, Object newInput)

Specified by:
  `inputChanged` in interface `IContentProvider`